Package org.eclipse.net4j.db

# Class DBException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.net4j.db.DBException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SchemaElementNotFoundException`

public class DBException extends RuntimeException
A `runtime exception` thrown to indicate problems with a database, frequently used to wrap checked `SQL exceptions`.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DBException()`
`DBException(String message)`
`DBException(String message, Throwable cause)`
`DBException(String message, Throwable cause, String sql)`
`DBException(Throwable cause)`
`DBException(Throwable cause, String sql)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DBException

public DBException()

### DBException

public DBException(String message)

### DBException

public DBException(Throwable cause)

### DBException

public DBException(String message, Throwable cause)

### DBException

public DBException(Throwable cause, String sql)

Since:
  4.0

### DBException

public DBException(String message, Throwable cause, String sql)

Since:
  4.0